## org.eclipse.datatools.modelbase.sql.query.impl
Class ResultColumnImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.QueryResultSpecificationImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.ResultColumnImpl

All Implemented Interfaces:
  QueryResultSpecification, ResultColumn, SQLQueryObject, SQLObject

    public class ResultColumnImpl

extends QueryResultSpecificationImpl
implements ResultColumn

An implementation of the model object 'SQL Result Column'.

The following features are implemented:

- `Value Expr`
- `Order By Result Col`

Method Summary
`NotificationChain` `basicSetValueExpr(QueryValueExpression newValueExpr, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getOrderByResultCol()`
`QueryValueExpression` `getValueExpr()`
`void` `setValueExpr(QueryValueExpression newValueExpr)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.QueryResultSpecificationImpl
`basicSetQuerySelect, eBasicRemoveFromContainerFeature, getQuerySelect, setQuerySelect`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QueryResultSpecification
`getQuerySelect, setQuerySelect`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueExpr

    public QueryValueExpression getValueExpr()

  Specified by:
    `getValueExpr` in interface `ResultColumn`
  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `ResultColumn.setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getResultColumn_ValueExpr()`, `QueryValueExpression.getResultColumn()`

### basicSetValueExpr

    public NotificationChain basicSetValueExpr(QueryValueExpression newValueExpr,
                                               NotificationChain msgs)

### setValueExpr

    public void setValueExpr(QueryValueExpression newValueExpr)

  Specified by:
    `setValueExpr` in interface `ResultColumn`
  Parameters:
    `newValueExpr` - the new value of the 'Value Expr' containment reference.
  See Also:
    `ResultColumn.getValueExpr()`

### getOrderByResultCol

    public EList getOrderByResultCol()

  Specified by:
    `getOrderByResultCol` in interface `ResultColumn`
  Returns:
    the value of the 'Order By Result Col' reference list.
  See Also:
    `SQLQueryModelPackage.getResultColumn_OrderByResultCol()`, `OrderByResultColumn.getResultCol()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `QueryResultSpecificationImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `QueryResultSpecificationImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `QueryResultSpecificationImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `QueryResultSpecificationImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `QueryResultSpecificationImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `QueryResultSpecificationImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.